import { SolcInput, SolcOutput } from '../lib/solc';
import { DefaultReporter } from './reporter';
export interface CompilerRecipe extends SolcInput {
    cwd?: string;
    reporter?: DefaultReporter;
}
export declare class Compiler {
    protected reporter: DefaultReporter;
    cwd: string;
    input: SolcInput;
    output: SolcOutput;
    constructor(recipe?: CompilerRecipe);
    source(...patterns: string[]): Promise<number>;
    findImports(path: any): {
        contents: string;
    };
    compile(): boolean;
    clean(): void;
    save(dist: string): number;
    clear(): this;
    protected normalizePath(path: string): string;
}
