import { Printer } from '@hayspec/reporter';
import { Compiler } from './compiler';
export declare type Severity = 'error' | 'warning';
export declare class DefaultReporter {
    protected printer: Printer;
    protected severities: Severity[];
    constructor(severities?: Severity[]);
    onCompileStart(compiler: Compiler): void;
    onCompileEnd(compiler: Compiler): void;
    onSaveStart(compiler: Compiler): void;
    onSaveEnd(compiler: Compiler): void;
    protected onErrors(compiler: Compiler): void;
    protected onContracts(compiler: Compiler): void;
    protected onOverview(compiler: Compiler): void;
    protected getErrorColor(error: any): "redBright" | "yellowBright";
}
